## ros-iron-kortex-api 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
include(FetchContent)
#include(ExternalProject)
FetchContent_Declare(
  kinova_binary_api
  URL https://artifactory.kinovaapps.com:443/artifactory/generic-public/kortex/API/2.5.0/linux_x86-64_x86_gcc.zip
  URL_HASH MD5=64bd86e7ab8bda90ef1fc7d6a356e080
)

FetchContent_MakeAvailable(kinova_binary_api)

project(kortex_api)

#Future:
# convert API_URL components from CMAKE_SYSTEM variables.
# The kinova artifactory server artifacts have slightly different expectations and they need some transformations
# Could build something like: (URL_OS)_(URL_PROCESSOR)_(?)_(URL_COMPILER).zip
# string(REPLACE "_" "-" URL_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR}) # x86_64 -> x86-64
# string(TOLOWER ${CMAKE_SYSTEM_NAME} URL_OS) # Linux -> linux

#Current: only support Linux x86_64
if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  set(API_URL https://artifactory.kinovaapps.com:443/artifactory/generic-public/kortex/API/2.5.0/linux_x86-64_x86_gcc.zip)
else()
  set(API_URL "")
  message(FATAL_ERROR "Unsupported System: currently support is for Linux x68_64. Detected ${CMAKE_SYSTEM_NAME} and ${CMAKE_SYSTEM_PROCESSOR}")
endif()

#ExternalProject_Add(kinova_binary_api
#  URL ${API_URL}
#  CONFIGURE_COMMAND ""
#  BUILD_COMMAND ""
#  INSTALL_COMMAND ""
#)

find_package(ament_cmake REQUIRED)

ament_export_include_directories(include/kortex_api)

install(DIRECTORY ${kinova_binary_api_SOURCE_DIR}/include/client/ DESTINATION include/kortex_api)
install(DIRECTORY ${kinova_binary_api_SOURCE_DIR}/include/common/ DESTINATION include/kortex_api)
install(DIRECTORY ${kinova_binary_api_SOURCE_DIR}/include/messages/ DESTINATION include/kortex_api)
install(DIRECTORY ${kinova_binary_api_SOURCE_DIR}/include/client_stubs/ DESTINATION include/kortex_api)
install(DIRECTORY ${kinova_binary_api_SOURCE_DIR}/include/google/protobuf DESTINATION include/kortex_api/google)

ament_package()

=== debian/changelog ===
ros-iron-kortex-api (0.2.2-1jammy) jammy; urgency=high



 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-kortex-api (0.2.1-1jammy) jammy; urgency=high

  * Change kortex_api header and library install locations (#156 <https://github.com/PickNikRobotics/ros2_kortex/issues/156>)
    This commit does several two main things:
    1) kortex_api now only installs the header files and they now do not pollute include
    2) kortex_driver gets the binary libKortexApiCpp.a itself
    kortex_driver gets the headers from kortex_api this avoids protobuf errors because
    those header files and the libKortexApiCpp.a were generated using non-system protobuf
    kortex_api cannot install the libKortexApiCpp.a because CMake does not allow installing library which was IMPORTED
    This should fix the debian packages which are currently released
  * Contributors: Alex Moriarty

 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Wed, 26 Jul 2023 04:00:00 -0000

ros-iron-kortex-api (0.2.0-1jammy) jammy; urgency=high

  * Initial Public ROS 2 Release of kortex_api
  * [kortex_api] use CMake FetchContent to get API (#112 <https://github.com/PickNikRobotics/ros2_kortex/issues/112>)
    * Currently only Linux x86_64 is supported
  * Contributors: Alex Moriarty

 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Mon, 17 Jul 2023 04:00:00 -0000

ros-iron-kortex-api (0.1.0-1jammy) jammy; urgency=high

  * Merged in pr-fix_precommit (pull request #8 <https://github.com/PickNikRobotics/ros2_kortex/issues/8>)
    clang and pre-commit fixes
    Approved-by: Andy Zelenak
  * clang and pre-commit fixes
  * Merged in pr-ci_setup (pull request #3 <https://github.com/PickNikRobotics/ros2_kortex/issues/3>)
    Add CI and pre-commit and apply relevant formatting fixes
    * Add CI, pre commit and clang-format
    * pre-commit fixes
    * Add pre-commit docs
    Approved-by: Andy Zelenak
  * Add ros2_control hardware interface
    Approved-by: Andy Zelenak
  * Merged in pr-ros_control (pull request #2 <https://github.com/PickNikRobotics/ros2_kortex/issues/2>)
    * add ros2_control hardware interface
    Approved-by: Andy Zelenak
  * port robot_description to ros2
  * Contributors: Marq Rasmussen, Vatan Aksoy Tezer, marqrazz

 -- Marq Rasmussen <marq.rasmussen@picknik.ai>  Sun, 12 Sep 2021 04:00:00 -0000

=== debian/control ===
Source: ros-iron-kortex-api
Section: misc
Priority: optional
Maintainer: Marq Rasmussen <marq.rasmussen@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-kortex-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ros-workspace
Description: kortex_api

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-kortex-api//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
